@import '../global/var';
@import '../../styles/ui/components/animation';

@include horizontal-shimmer-animation-mixin(shimmerAnimation, -500px, 500px);

.issue-modal {
    position: fixed;

    &__header {
        min-height: 56px;
        height: 56px;
        max-height: 56px;
    }
    &__wrapper {
        display: flex;
        padding: 20px 0;
        @media (max-width: 540px) {
            display: block;
        }
    }
    &__left {
        min-width: 220px;
        padding-right: 20px;
        overflow: hidden;

        @media (max-width: 540px) {
            padding-bottom: 30px;
        }
        .info-row {
            display: flex;
            margin-bottom: 18px;
            align-items: center;
            &__name {
                min-width: 60px;
                color: rgba($black, 0.5);
                margin-right: 14px;
                font-size: 14px;
            }
            &__value {
                font-size: 14px;
                color: rgba($black, 0.8);
                overflow: hidden;
                text-overflow: ellipsis;
                md-checkbox.md-checked {
                    .md-icon {
                        background-color: $black;
                        opacity: .8;
                    }
                }
            }
        }
    }
    &__right {
        flex-grow: 1;

        .issue-element-container {
            margin: 17px 0;
            &._with-badge {
                margin: 0;
                display: flex;
                .jira-status {
                    margin-top: 10px;
                    max-height: 20px;
                    margin-left: 20px;
                    border-radius: 2px;
                    &.label-info {
                        background-color: #0049b0;
                    }
                    &.label-warn {
                        background-color: #eb4454;
                    }
                }
                md-input-container {
                    max-width: 180px;
                    margin-top: 0;
                }
            }
            textarea.summary {
                min-width: 400px;
                max-width: 400px;
                min-height: 80px;

                @media (max-width: 700px) {
                    min-width: auto;
                    max-width: auto;
                    width: 100%;
                }
            }
        }
        md-dialog-actions {
            min-height: 32px;
            padding: 0;
        }
    }
    &__tickets {
        border-top: 1px solid rgba($black, 0.15);
        min-height: 258px;
        max-height: 258px;
        overflow: visible;
        .no-tickets-lable {
            padding-top: 100px;
            margin: 0 auto;
            width: fit-content;
            color: rgba($black, 0.5);
            font-size: 24px;
            font-weight: 300;
        }
        .ticket-list {
            &-button {
                max-height: unset;
                border-radius: 0;
                padding: 0;
                text-transform: none;
                border-bottom: 1px solid rgba($black, 0.15);
                display: table;
                @media screen and (max-width: $md-screen-phone) {
                    display: block;
                }
                &:hover {
                    background-color: #eceff0;
                }
            }
            &-row {
                margin: 0;
                padding: 15px;
                &__jira {
                    font-size: 13px;
                    font-weight: 500;
                    padding: 0;
                    line-height: 1;
                    min-width: 80px;
                    max-width: 80px;
                    justify-content: center;
                }
                &__text {
                    color: rgba($black, 0.8);
                    flex-grow: 1;
                    font-size: 13px;
                    padding: 0 10px;
                    &-container {
                        display: grid;
                        @media screen and (max-width: $md-screen-phone) {
                            display: none;
                        }
                    }
                    &-element {
                        white-space: nowrap;
                        overflow: hidden;
                        text-overflow: ellipsis;
                    }
                }
                &__loader {
                    height: 100%;
                    width: 100%;
                    & .shimmer {
                        &__item {
                            height: 100%;
                            width: 100%;
                            background: $gray3e5;
                            background-image: linear-gradient(to right, $gray3e5 0%, #edeef1 20%, $gray3e5 40%, $gray3e5 100%);
                            background-repeat: no-repeat;
                            background-size: 250px 220px;
                            position: relative;
                            animation-duration: 2s;
                            animation-fill-mode: forwards;
                            animation-iteration-count: infinite;
                            animation-name: shimmerAnimation;
                            animation-timing-function: linear;
                        }
                    }
                }
                &__date {
                    max-width: 145px;
                    min-width: 145px;
                }
                &__link {
                    max-width: 64px;
                    min-width: 64px;

                    a {
                        margin-left: auto;
                        margin-right: auto;
                        &._unlink {
                            color: #eb4454;
                        }
                    }
                }
                &__date, &__link {
                    font-family: Roboto;
                    font-weight: normal;
                    color: rgba($black, 0.8);
                    padding: 0;
                    font-size: 13px;
                }
            }
        }
    }
    &.md-content-overflow md-dialog-actions,
    &.md-content-overflow md-actions {
        border-top: 0;
    }
}
